package org.gcube.informationsystem.types.knowledge;

import org.gcube.informationsystem.model.knowledge.ModelKnowledge;
import org.gcube.informationsystem.types.reference.Type;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class TypesKnowledge {

	protected static ModelKnowledge<Type, TypeInformation> modelKnowledge;
	
	public synchronized static ModelKnowledge<Type, TypeInformation> getModelKnowledge() {
		if(modelKnowledge==null) {
			modelKnowledge = new ModelKnowledge<>(new TypeInformation());
		}
		return modelKnowledge;
	}
}
